Package org.apache.wiki.ui

## Class Installer

- java.lang.Object
- - org.apache.wiki.ui.Installer

    public class Installer
    extends java.lang.Object

Manages JSPWiki installation on behalf of `admin/Install.jsp`. The contents of this class were previously part of `Install.jsp`.

Since:
  2.4.20

### Field Summary

Fields
`static java.lang.String` `ADMIN_GROUP`
`static java.lang.String` `ADMIN_ID`
`static java.lang.String` `ADMIN_NAME`
`static java.lang.String` `APP_NAME`
`static java.lang.String` `INSTALL_ERROR`
`static java.lang.String` `INSTALL_INFO`
`static java.lang.String` `INSTALL_WARNING`
`static java.lang.String` `PAGE_DIR`
`static java.lang.String` `PROPFILENAME`
`static java.lang.String` `STORAGE_DIR`
`static java.lang.String` `TMP_DIR`
`static java.lang.String` `WORK_DIR`

### Constructor Summary

Constructors
`Installer​(javax.servlet.http.HttpServletRequest request, javax.servlet.ServletConfig config)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `adminExists()` Returns `true` if the administrative user had been created previously.
`java.lang.String` `createAdministrator()` Creates an administrative user and returns the new password.
`java.lang.String` `getPropertiesList()` Returns the properties as a "key=value" string separated by newlines
`java.lang.String` `getPropertiesPath()`
`java.lang.String` `getProperty​(java.lang.String key)` Returns a property from the Engine's properties.
`void` `parseProperties()`
`void` `restoreUserValues()`
`void` `saveProperties()`
`boolean` `validateProperties()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ADMIN_ID

    public static final java.lang.String ADMIN_ID

See Also:
  Constant Field Values

#### ADMIN_NAME

    public static final java.lang.String ADMIN_NAME

See Also:
  Constant Field Values

#### INSTALL_INFO

    public static final java.lang.String INSTALL_INFO

See Also:
  Constant Field Values

#### INSTALL_ERROR

    public static final java.lang.String INSTALL_ERROR

See Also:
  Constant Field Values

#### INSTALL_WARNING

    public static final java.lang.String INSTALL_WARNING

See Also:
  Constant Field Values

#### APP_NAME

    public static final java.lang.String APP_NAME

See Also:
  Constant Field Values

#### STORAGE_DIR

    public static final java.lang.String STORAGE_DIR

See Also:
  Constant Field Values

#### PAGE_DIR

    public static final java.lang.String PAGE_DIR

See Also:
  Constant Field Values

#### WORK_DIR

    public static final java.lang.String WORK_DIR

See Also:
  Constant Field Values

#### ADMIN_GROUP

    public static final java.lang.String ADMIN_GROUP

See Also:
  Constant Field Values

#### PROPFILENAME

    public static final java.lang.String PROPFILENAME

See Also:
  Constant Field Values

#### TMP_DIR

    public static java.lang.String TMP_DIR

### Constructor Detail

#### Installer

    public Installer​(javax.servlet.http.HttpServletRequest request,
                     javax.servlet.ServletConfig config)

### Method Detail

#### adminExists

    public boolean adminExists()

Returns `true` if the administrative user had been created previously.

Returns:
  the result

#### createAdministrator

    public java.lang.String createAdministrator()
                                         throws WikiSecurityException

Creates an administrative user and returns the new password. If the admin user exists, the password will be `null`.

Returns:
  the password
Throws:
  `WikiSecurityException`

#### getPropertiesList

    public java.lang.String getPropertiesList()

Returns the properties as a "key=value" string separated by newlines

Returns:
  the string

#### getPropertiesPath

    public java.lang.String getPropertiesPath()

#### getProperty

    public java.lang.String getProperty​(java.lang.String key)

Returns a property from the Engine's properties.

Parameters:
  `key` - the property key
Returns:
  the property value

#### parseProperties

    public void parseProperties()

#### saveProperties

    public void saveProperties()

#### validateProperties

    public boolean validateProperties()

#### restoreUserValues

    public void restoreUserValues()